package com.ydl.ydlcommon.router

/**
 * author : Zhangwenchao
 * e-mail : zhangwch@yidianling.com
 * time   : 2018/03/24
 */
object YdlCommonRouterManager {

    private lateinit var ydlCommonRoute: IYdlCommonRouter

    fun initYdlCommonRoute(ydlCommonRoute: IYdlCommonRouter) {
        YdlCommonRouterManager.ydlCommonRoute = ydlCommonRoute
    }

    fun getYdlCommonRoute(): IYdlCommonRouter {
        return ydlCommonRoute
    }

}